[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'Pipes' (#fcl)

# CreatePipeHandles

Function to create a set of pipe handles

## Declaration

Source position: pipes.pp line 48

`function CreatePipeHandles(`
`var Inhandle: THandle;`
`var OutHandle: THandle`
`):Boolean;`

## Arguments

`Inhandle` |  | File handle for reading end of the pipe
`OutHandle` |  | File handle for writing end of the pipe

## Function result

True if the call was succesul, False if not.

## Description

CreatePipeHandles provides an OS-independent way to create a set of pipe filehandles. These handles are inheritable to child processes. The reading end of the pipe is returned in InHandle, the writing end in OutHandle.

## Errors

On error, False is returned.

## See also

CreatePipeStreams |  | Create a pair of pipe stream.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .